### Method

# Gtk ListStoreinsert_with_valuesv

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_insert_with_valuesv (
      GtkListStore* list_store,
      GtkTreeIter* iter,
      int position,
      int* columns,
      GValue* values,
      int n_values
    )

#### Description [src]

A variant of `gtk_list_store_insert_with_values()` which takes the columns and values as two arrays, instead of varargs.

This function is mainly intended for language-bindings.

Deprecated since: 4.10

Use list models.

This method is renamed to `gtk_list_store_insert_with_values()` in language bindings

#### Parameters

`iter`

  Type: `GtkTreeIter`

  An unset `GtkTreeIter` to set to the new row.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`position`

  Type: `int`

  Position to insert the new row, or -1 for last.

`columns`

  Type: An array of `int`

  An array of column numbers.

  The length of the array is specified in the `n_values` argument.
  The data is owned by the caller of the method.

`values`

  Type: An array of `GValue`

  An array of GValues.

  The length of the array is specified in the `n_values` argument.
  The data is owned by the caller of the method.

`n_values`

  Type: `int`

  The length of the `columns` and `values` arrays.